MWAWCell::Format Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
MWAWCell::Format Struct Reference

a structure uses to define the format of a cell content More...

`#include <MWAWCell.hxx>`

Inheritance diagram for MWAWCell::Format:

## Public Member Functions
| Format ()
| constructor
| Format (Format const &)=default
Format & | operator= (Format const &)=default
Format & | operator= (Format &&)=default
virtual | ~Format ()
| destructor
bool | hasBasicFormat () const
| returns true if this is a basic format style
std::string | getValueType () const
| returns a value type
bool | getNumberingProperties (librevenge::RVNGPropertyList &propList) const
| get the numbering style
int | compare (Format const &format) const
| a comparison function

## Public Attributes
FormatType | m_format
| the cell format : by default unknown
NumberType | m_numberFormat
| the numeric format
int | m_digits
| the number of digits
int | m_integerDigits
| the number of main digits
int | m_numeratorDigits
| the number of numerator digits
int | m_denominatorDigits
| the number of denominator digits
bool | m_thousandHasSeparator
| true if we must separate the thousand
bool | m_parenthesesForNegative
| true if we use parenthese to print negative number
std::string | m_currencySymbol
| the currency symbol ( default '$')
std::string | m_DTFormat
| a date/time format ( using a subset of strftime format )

## Friends
std::ostream & | operator<< (std::ostream &o, Format const &format)
| operator<<

## Detailed Description

a structure uses to define the format of a cell content

## Constructor & Destructor Documentation

## ◆ Format() [1/2]

MWAWCell::Format::Format | ( |  | ) |
| inline

constructor

## ◆ Format() [2/2]

MWAWCell::Format::Format | ( | Format const & |  | ) |
| default

## ◆ ~Format()

MWAWCell::Format::~Format | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ compare()

int MWAWCell::Format::compare | ( | MWAWCell::Format const & | cell | ) | const

a comparison function

Referenced by MWAWCell::CompareFormat::operator()().

## ◆ getNumberingProperties()

bool MWAWCell::Format::getNumberingProperties | ( | librevenge::RVNGPropertyList & | propList | ) | const

get the numbering style

## ◆ getValueType()

std::string MWAWCell::Format::getValueType | ( |  | ) | const

returns a value type

## ◆ hasBasicFormat()

bool MWAWCell::Format::hasBasicFormat | ( |  | ) | const
| inline

returns true if this is a basic format style

## ◆ operator=() [1/2]

Format & MWAWCell::Format::operator= | ( | Format && |  | ) |
| default

## ◆ operator=() [2/2]

Format & MWAWCell::Format::operator= | ( | Format const & |  | ) |
| default

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | MWAWCell::Format const & | format )
| friend

operator<<

## Member Data Documentation

## ◆ m_currencySymbol

std::string MWAWCell::Format::m_currencySymbol

the currency symbol ( default '$')

Referenced by compare().

## ◆ m_denominatorDigits

int MWAWCell::Format::m_denominatorDigits

the number of denominator digits

Referenced by compare().

## ◆ m_digits

int MWAWCell::Format::m_digits

the number of digits

Referenced by compare(), MWAWCellContent::double2String(), GreatWksSSParser::readCell(), JazzSSParser::readCell(), MsWksSSParser::readCell(), BeagleWksSSParser::readCellSheet(), ClarisWksStyleManager::readCellStyles(), MsWksDBParser::readFieldTypes(), MsWksDBParser::readFieldTypesV2(), BeagleWksDBParser::readFormat(), RagTime5StyleManager::readFormats(), RagTimeSpreadsheet::readNumericFormat(), WingzParser::readSpreadsheetCellList(), RagTimeSpreadsheet::readSpreadsheetCellV2(), and MultiplanParser::sendCell().

## ◆ m_DTFormat

std::string MWAWCell::Format::m_DTFormat

a date/time format ( using a subset of strftime format )

Referenced by compare(), MWAWCellContent::double2String(), GreatWksSSParser::readCell(), JazzSSParser::readCell(), MsWksSSParser::readCell(), BeagleWksSSParser::readCellSheet(), MsWksDBParser::readFieldTypes(), MsWksDBParser::readFieldTypesV2(), BeagleWksDBParser::readFormat(), RagTime5StyleManager::readFormats(), ClarisWksDbaseContent::readRecordSS(), and RagTimeSpreadsheetInternal::CellFormat::update().

## ◆ m_format

FormatType MWAWCell::Format::m_format

the cell format : by default unknown

Referenced by compare(), MWAWCellContent::double2String(), hasBasicFormat(), GreatWksSSParser::readCell(), JazzSSParser::readCell(), MsWksSSParser::readCell(), BeagleWksSSParser::readCellSheet(), MsWksDBParser::readFieldTypes(), MsWksDBParser::readFieldTypesV2(), BeagleWksDBParser::readFormat(), RagTime5StyleManager::readFormats(), GreatWksDBParser::readFormulaResult(), RagTimeSpreadsheet::readNumericFormat(), ClarisWksDbaseContent::readRecordSS(), ClarisWksDbaseContent::readRecordSSV1(), RagTimeSpreadsheet::readSpreadsheetCellV2(), ClarisWksDbaseContent::send(), RagTimeSpreadsheet::send(), MultiplanParser::sendCell(), ClarisWksDatabase::sendDatabase(), ClarisWksSpreadsheet::sendSpreadsheet(), RagTimeSpreadsheetInternal::CellFormat::update(), RagTime5SpreadsheetInternal::CellValue::update(), and RagTime5StyleManager::updateCellFormat().

## ◆ m_integerDigits

int MWAWCell::Format::m_integerDigits

the number of main digits

Referenced by compare().

## ◆ m_numberFormat

NumberType MWAWCell::Format::m_numberFormat

the numeric format

Referenced by compare(), MWAWCellContent::double2String(), GreatWksSSParser::readCell(), JazzSSParser::readCell(), MsWksSSParser::readCell(), BeagleWksSSParser::readCellSheet(), MsWksDBParser::readFieldTypes(), MsWksDBParser::readFieldTypesV2(), BeagleWksDBParser::readFormat(), RagTime5StyleManager::readFormats(), RagTimeSpreadsheet::readNumericFormat(), ClarisWksDbaseContent::readRecordSS(), RagTimeSpreadsheet::readSpreadsheetCellV2(), and MultiplanParser::sendCell().

## ◆ m_numeratorDigits

int MWAWCell::Format::m_numeratorDigits

the number of numerator digits

Referenced by compare().

## ◆ m_parenthesesForNegative

bool MWAWCell::Format::m_parenthesesForNegative

true if we use parenthese to print negative number

Referenced by compare(), ClarisWksStyleManager::readCellStyles(), and RagTime5StyleManager::readFormats().

## ◆ m_thousandHasSeparator

bool MWAWCell::Format::m_thousandHasSeparator

true if we must separate the thousand

Referenced by compare(), JazzSSParser::readCell(), MsWksSSParser::readCell(), BeagleWksSSParser::readCellSheet(), ClarisWksStyleManager::readCellStyles(), MsWksDBParser::readFieldTypes(), BeagleWksDBParser::readFormat(), RagTime5StyleManager::readFormats(), and RagTimeSpreadsheet::readNumericFormat().

The documentation for this struct was generated from the following files:

- MWAWCell.hxx
- MWAWCell.cxx